$(document).ready(function() {
    $(".main-select-modal").on('shown.bs.modal', function() {
        showNavigationButtons(this);
    });

    $(".next-page").click(function() {
        var parent = $(this).parents(".main-select-modal");
        var currentPage = $(parent).find(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).next().removeClass("hidden").addClass("current-page");
        showNavigationButtons(parent);
    });

    $(".prev-page").click(function() {
        var parent = $(this).parents(".main-select-modal");
        var currentPage = $(parent).find(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).prev().removeClass("hidden").addClass("current-page");
        showNavigationButtons(parent);
    });

    
   

});

function showNavigationButtons(modal) {
    var prev,next;
    prev = $(modal).find(".prev-page");
    next =  $(modal).find(".next-page");
    
    
    if ($(modal).find(".current-page").next().length != 0) {
        next.removeClass("hidden");
    } else {
        next.addClass("hidden");
    }

    if ($(modal).find(".current-page").prev().length != 0) {
       prev.removeClass("hidden");
    } else {
       prev.addClass("hidden");
    }

    
        
        
}


